QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions
QXmppDiscoveryManager Class Reference
Managers

The QXmppDiscoveryManager class makes it possible to discover information about other entities as defined by XEP-0030: Service Discovery. More...

`#include <QXmppDiscoveryManager.h>`

Inheritance diagram for QXmppDiscoveryManager:

List of all members.

## Signals
void | infoReceived (const QXmppDiscoveryIq &)
void | itemsReceived (const QXmppDiscoveryIq &)
| This signal is emitted when an items response is received.
## Public Member Functions
QString | requestInfo (const QString &jid, const QString &node="")
QString | requestItems (const QString &jid, const QString &node="")
QString | clientCapabilitiesNode () const
void | setClientCapabilitiesNode (const QString &)
QString | clientCategory () const
void | setClientCategory (const QString &)
void | setClientName (const QString &)
QString | clientName () const
QString | clientType () const
void | setClientType (const QString &)

## Detailed Description

The QXmppDiscoveryManager class makes it possible to discover information about other entities as defined by XEP-0030: Service Discovery.

## Member Function Documentation

QString QXmppDiscoveryManager::clientCapabilitiesNode | ( |  | ) | const

Returns the capabilities node of the local XMPP client.

By default this is "http://code.google.com/p/qxmpp".

QString QXmppDiscoveryManager::clientCategory | ( |  | ) | const

Returns the category of the local XMPP client.

By default this is "client".

QString QXmppDiscoveryManager::clientName | ( |  | ) | const

Returns the name of the local XMPP client.

By default this is "Based on QXmpp x.y.z".

QString QXmppDiscoveryManager::clientType | ( |  | ) | const

Returns the type of the local XMPP client.

By default this is "pc".

void QXmppDiscoveryManager::infoReceived | ( | const QXmppDiscoveryIq & |  | ) | `[signal]`

This signal is emitted when an information response is received.

QString QXmppDiscoveryManager::requestInfo | ( | const QString & | jid,
|  | const QString & | node = `""`
| ) |  |

Requests information from the specified XMPP entity.

Parameters:

  jid | The target entity's JID.
  node | The target node (optional).

QString QXmppDiscoveryManager::requestItems | ( | const QString & | jid,
|  | const QString & | node = `""`
| ) |  |

Requests items from the specified XMPP entity.

Parameters:

  jid | The target entity's JID.
  node | The target node (optional).

void QXmppDiscoveryManager::setClientCapabilitiesNode | ( | const QString & | node | ) |

Sets the capabilities node of the local XMPP client.

Parameters:

  node |

void QXmppDiscoveryManager::setClientCategory | ( | const QString & | category | ) |

Sets the category of the local XMPP client.

You can find a list of valid categories at: http://xmpp.org/registrar/disco-categories.html

Parameters:

  category |

void QXmppDiscoveryManager::setClientName | ( | const QString & | name | ) |

Sets the name of the local XMPP client.

Parameters:

  name |

void QXmppDiscoveryManager::setClientType | ( | const QString & | type | ) |

Sets the type of the local XMPP client.

You can find a list of valid types at: http://xmpp.org/registrar/disco-categories.html

Parameters:

  type |

The documentation for this class was generated from the following files:

- QXmppDiscoveryManager.h
- QXmppDiscoveryManager.cpp

All Classes Functions Enumerations Enumerator Properties